﻿(function () {

    "use strict";

    var browserUnsupportedReasons = "";

    if (Modernizr.svg !== true)
        browserUnsupportedReasons += "It looks like your browser does not support SVG elements. This is required to draw the maps.<br>";

    var hasCssIssues = Modernizr.fontface !== true;
    if (hasCssIssues)
        browserUnsupportedReasons += "It looks like your browser does not have necessary CSS support.<br>";


    if (browserUnsupportedReasons !== "") {
        var browserUnsupportedMsg = browserUnsupportedReasons + "Please upgrade your browser to the latest version.";        
        window.location.href = "error.html?error=" + browserUnsupportedMsg;
    }

}());
